# Class OAuthRefreshCredentialsProvider

java.lang.Object
com.databricks.jdbc.auth.OAuthRefreshCredentialsProvider

All Implemented Interfaces:
  `com.databricks.sdk.core.CredentialsProvider`, `com.databricks.sdk.core.oauth.TokenSource`

public class OAuthRefreshCredentialsProvider extends Object implements com.databricks.sdk.core.oauth.TokenSource, com.databricks.sdk.core.CredentialsProvider

## Constructor Summary

Constructors
Constructor
Description
`OAuthRefreshCredentialsProvider(IDatabricksConnectionContext context, com.databricks.sdk.core.DatabricksConfig databricksConfig)`

## Method Summary

Modifier and Type
Method
Description
`String`
`authType()`
`com.databricks.sdk.core.HeaderFactory`
`configure(com.databricks.sdk.core.DatabricksConfig databricksConfig)`
`com.databricks.sdk.core.oauth.Token`
`getToken()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OAuthRefreshCredentialsProvider

public OAuthRefreshCredentialsProvider(IDatabricksConnectionContext context, com.databricks.sdk.core.DatabricksConfig databricksConfig)

## Method Details

### authType

public String authType()

Specified by:
  `authType` in interface `com.databricks.sdk.core.CredentialsProvider`

### configure

public com.databricks.sdk.core.HeaderFactory configure(com.databricks.sdk.core.DatabricksConfig databricksConfig)

Specified by:
  `configure` in interface `com.databricks.sdk.core.CredentialsProvider`

### getToken

public com.databricks.sdk.core.oauth.Token getToken()

Specified by:
  `getToken` in interface `com.databricks.sdk.core.oauth.TokenSource`